Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IInstanceSpecification

    com.change_vision.jude.api.inf.model.IInstanceSpecification

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IInstanceSpecification

extends INamedElement

Interface for InstanceSpecification.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IInstanceSpecification[]` | `getAllResidents()` Get all Resident.
`abstract ISlot[]` | `getAllSlots()` the array of ISlots
`abstract IClass` | `getClassifier()` Get Classifier.
`abstract IInstanceSpecification` | `getContainer()` Get parent Instance Specification.
`abstract IInstanceSpecification[]` | `getContainers()` Get all parent Instance Specifications.
`abstract ILinkEnd[]` | `getLinkEnds()` Get Link End.
`abstract ISlot` | `getSlot(String name)` Get the Slot by specified name.
`abstract void` | `setClassifier(IClass classifier)` Set Classifier.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getClassifier

    abstract IClass getClassifier()

  Get Classifier.

  Returns:
    Classifier

### setClassifier

    abstract void setClassifier(IClass classifier)

  Set Classifier.

  Parameters:
    `classifier` - Classifier
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              INVALID_TYPE_MODIFIER_MODEL_ERROR_KEY - if a Type Modifier cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getLinkEnds

    abstract ILinkEnd[] getLinkEnds()

  Get Link End.

  Returns:
    the array of Link End.

### getAllSlots

    abstract ISlot[] getAllSlots()

  the array of ISlots

  Returns:
    the array of ISlots

### getSlot

    abstract ISlot getSlot(String name)

  Get the Slot by specified name.

  Parameters:
    `name` -
  Returns:
    ISlot

### getAllResidents

    abstract IInstanceSpecification[] getAllResidents()

  Get all Resident.

  Returns:
    the array of Instance Specification
  Since:
    6.6.4

### getContainer

    abstract IInstanceSpecification getContainer()

  Get parent Instance Specification.

  Returns:
    Instance Specification.
  Since:
    6.6.4

### getContainers

    abstract IInstanceSpecification[] getContainers()

  Get all parent Instance Specifications.

  Returns:
    the array of Instance Specifications.
  Since:
    6.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD